#ifndef HMC_TRI
#define HMC_TRI
#include <stdlib.h>
#include "Vector.h"
#include "Point.h"

struct Triangle {
   union {
      struct {
         Point *a, *b, *c;
      };
      struct {
         Point *point[3];
      };
   };
   Vector normal;

   Triangle() {};
   Triangle(Point *_a, Point *_b, Point *_c) : a(_a), b(_b), c(_c) {};

   void GenNormal();
};

#endif
