#include <stdlib.h>
#include <stdio.h>
#include "Vector.h"
#include "Point.h"

struct Projectile {
   Vector traj;
   Point pos;
   Vector forces;
   float mass;
   float radius;
   int updates;

   Projectile();
   Projectile(const Vector &v, const Point &p) : traj(v), pos(p) {};
   Projectile(const Vector &v, const Point &p, const Vector &f, float r, float m) :
    traj(v), pos(p), forces(f), radius(r), mass(m), updates(0) {};

   void Update();
};
