#ifndef HMC_TERRGEN
#define HCM_TERRGEN
#include <stdlib.h>
#include <vector>
#include "Point.h"
#include "Vector.h"
#include "Triangle.h"
#include "Rectangle.h"

class TerrGen {
   float length;
   int seed;
   int depth;
   int side;
   float range;
   std::vector<Point *> *pVec;
   
   void Subdivide(int topNdx, int botNdx, float curRange, float base, int curDepth);
   
   public:
   TerrGen(float _l, int _s, int _d, float _r, std::vector<Point *> *p) : 
    length(_l), seed(_s), depth(_d), range(_r), pVec(p) {};

   void Generate();      
};

#endif
